# Go语言高级编程 (Advanced Go Programming)

*推广: [《WebAssembly标准入门》开始预售了，其中包含Go&WebAssembly内容，欢迎关注！](https://item.jd.com/12499372.html)*

----

本书涵盖CGO、Go汇编语言、RPC实现、Web框架实现、分布式系统等高阶主题，针对Go语言有一定经验想深入了解Go语言各种高级用法的开发人员。对于刚学习Go语言的读者，建议先从[《Go语言圣经》](https://github.com/golang-china/gopl-zh)开始系统学习Go语言的基础知识。

![](cover.png)

- 作者：柴树杉，Github [@chai2010](https://github.com/chai2010)，Twitter [@chaishushan](https://twitter.com/chaishushan)，主页 https://chai2010.cn/about
- 作者：曹春晖，Github [@cch123](https://github.com/cch123)
- 网址：https://github.com/chai2010/advanced-go-programming-book
- Star历史：https://starcharts.herokuapp.com/chai2010/advanced-go-programming-book.svg

## 在线阅读

- [SUMMARY.md](SUMMARY.md)
- https://chai2010.cn/advanced-go-programming-book/
- https://www.gitbook.com/book/chai2010/advanced-go-programming-book/

## 相关报告


- [GIAC: 2018 - Go 语言将要走向何方？](https://github.com/chai2010/awesome-go-zh/blob/master/chai2010/giac2018) - [chai2010](https://github.com/chai2010/awesome-go-zh/tree/master/chai2010) 上海·GIAC全球互联网架构大会 2018/11/23
- [Go语言并发编程](https://talks.godoc.org/github.com/chai2010/awesome-go-zh/chai2010/chai2010-golang-concurrency.slide) - [chai2010](https://github.com/chai2010/awesome-go-zh/tree/master/chai2010) 武汉·光谷猫友会 2018/09/16, [整理01](https://mp.weixin.qq.com/s/UaY9gJU85dq-dXlOhLYY1Q)/[整理02](https://mp.weixin.qq.com/s/_aKNO-H11GEDA-l0rycfQQ)
- 深入CGO编程: https://github.com/chai2010/gopherchina2018-cgo-talk


## 开发者头条号

https://toutiao.io/subjects/318517

![](toutiao-318517-small.jpg)

## 关注微信公众号 (golang-china)

![](weixin-golang-china.jpg)


## 版权声明

[Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](http://creativecommons.org/licenses/by-nc-sa/4.0/)。

![Creative Commons License](./images/by-nc-sa-4.0-88x31.png)


严禁任何商业行为使用或引用该文档的全部或部分内容！

欢迎大家提供建议！


## 鸣谢

感谢大家提供 PR！以下排名不分先后：

[fuwensun](https://github.com/fuwensun)
[qichengzx](https://github.com/qichengzx)
[lewgun](https://github.com/lewgun)
[潘培龙](https://github.com/plpan)
[xiaoliwang](https://github.com/xiaoliwang)
[barryz](https://github.com/barryz)
[alphayan](https://github.com/alphayan)
[leobuzhi](https://github.com/leobuzhi)
[orangle](https://github.com/orangle)
[jiayx](https://github.com/jiayx)
[iikira](https://github.com/iikira)
[Darren](https://github.com/Darren)
[yangtaooo](https://github.com/yangtaooo)
[fognome](https://github.com/fognome)
[bcb51](https://github.com/bcb51)
[RealDeanZhao](https://github.com/RealDeanZhao)
[zxypetre](https://github.com/zxypetre)
[wanyaoqi](https://github.com/wanyaoqi)
[mathrobot](https://github.com/mathrobot)
[Frozen-Shadow](https://github.com/Frozen-Shadow)
[7535](https://github.com/7535)
[polaris1119](https://github.com/polaris1119)
[yyt030](https://github.com/yyt030)
[templexxx](https://github.com/templexxx)
[itfanr](https://github.com/itfanr)
[cloverstd](https://github.com/cloverstd)
[cloudzhou](https://github.com/cloudzhou)
[douglarek](https://github.com/douglarek)
[yannsun](https://github.com/yannsun)
[xqbumu](https://github.com/xqbumu)
[hacknode](https://github.com/hacknode)
[ezioruan](https://github.com/ezioruan)
[yuqaf1989](https://github.com/yuqaf1989)
